#!/usr/bin/env bash

# Export the module function if it exists
[[ $(type -t module) == "function" ]] && export -f module

# Find available port to run server on
port=$(find_port ${host})

# Define a password and export it for RStudio authentication
password="$(create_passwd 16)"
export RSTUDIO_PASSWORD="${password}"

# Gerate CSRF Token
<%-
  require 'securerandom'
  csrftoken = SecureRandom.uuid
-%>
export csrftoken="<%= csrftoken %>"

# Set ENV Variables for script.sh
export RSTUDIO_SERVER_IMAGE=<%= context.singularity_img %>
export GROUPDIR="/hpc/group/<%= context.custom_account %>"

# Is GPU Job?
<%- if context.num_gpus.to_s == "0" -%>
export gpu_job="no"
<%- else -%>
export gpu_job="yes"
<%- end -%>
